Zyxel 630 C1

Imagen de utopiko
0 puntos

Vale se que hay mil post respecto a este hijoputa(perdon pero el puto modem es lo ke es).Necesito a alguien que me explique ke debo acer y pa ke sirve cada cosa!!!Me bajo todo lo bajable y cuando descomprimo el modulo me pone lo siguiente:

asier@ubuntu:~$ tar xzf modulo-630-c1.tar.gz
asier@ubuntu:~$ cd m*
asier@ubuntu:~/modulo-630-c1$ make
make modules -C /lib/modules/2.6.12-9-386/build SUBDIRS=/home/asier/modulo-630-c1
make: *** /lib/modules/2.6.12-9-386/build: No existe el fichero o el directorio. Alto.
make: *** [all] Error 2

Luego por probar utilizo el cxacru ese y entonces no me da errores sino millones de errores:
asier@ubuntu:~$ tar xzf cxacru-630-new.tar.gz
asier@ubuntu:~$ cd cx*
asier@ubuntu:~/cxacru-630-new$ sudo make
Password:
cd init && make clean
make[1]: Entering directory `/home/asier/cxacru-630-new/init'
rm -f cxload cxioctl cxloaddbg cxloaddbgt
make[1]: Leaving directory `/home/asier/cxacru-630-new/init'
cd bridged && make clean
make[1]: Entering directory `/home/asier/cxacru-630-new/bridged'
rm -f br2684ctl
make[1]: Leaving directory `/home/asier/cxacru-630-new/bridged'
cd init && make && make install
make[1]: Entering directory `/home/asier/cxacru-630-new/init'
gcc -O2 -Wstrict-prototypes -fomit-frame-pointer -pipe -march=i686 -Wall -DLINUX -I../include -lusb -lpthread cxload.c -o cxload
cxload.c: En la función ‘load_firmware’:
cxload.c:758: aviso: el puntero que apunta en el paso del argumento 3 de ‘send_block’ difiere en signo
/tmp/ccPormOz.o: En la función `transfer_ctrl_msg':
cxload.c:(.text+0x19c): referencia a `usb_control_msg' sin definir
cxload.c:(.text+0x1a7): referencia a `usb_strerror' sin definir
cxload.c:(.text+0x23e): referencia a `usb_clear_halt' sin definir
cxload.c:(.text+0x253): referencia a `usb_clear_halt' sin definir
/tmp/ccPormOz.o: En la función `read_bulk':
cxload.c:(.text+0x2a4): referencia a `usb_bulk_read' sin definir
cxload.c:(.text+0x2b3): referencia a `usb_strerror' sin definir
cxload.c:(.text+0x343): referencia a `usb_clear_halt' sin definir
/tmp/ccPormOz.o: En la función `send_bulk':
cxload.c:(.text+0x3ca): referencia a `usb_bulk_write' sin definir
cxload.c:(.text+0x3d9): referencia a `usb_strerror' sin definir
cxload.c:(.text+0x41f): referencia a `usb_clear_halt' sin definir
/tmp/ccPormOz.o: En la función `dispatch_info':
cxload.c:(.text+0x5f5): referencia a `usb_bulk_read' sin definir
cxload.c:(.text+0x611): referencia a `usb_strerror' sin definir
cxload.c:(.text+0x667): referencia a `usb_resetep' sin definir
cxload.c:(.text+0x844): referencia a `usb_clear_halt' sin definir
/tmp/ccPormOz.o: En la función `send_cmd_wait_answers':
cxload.c:(.text+0x8fc): referencia a `usb_resetep' sin definir
cxload.c:(.text+0x90d): referencia a `usb_resetep' sin definir
/tmp/ccPormOz.o: En la función `clear_endpoints':
cxload.c:(.text+0xe85): referencia a `usb_resetep' sin definir
cxload.c:(.text+0xe96): referencia a `usb_resetep' sin definir
cxload.c:(.text+0xea7): referencia a `usb_resetep' sin definir
/tmp/ccPormOz.o:cxload.c:(.text+0xeb8): más referencias a `usb_resetep' sin definir a continuación
/tmp/ccPormOz.o: En la función `main':
cxload.c:(.text+0x1ce0): referencia a `usb_init' sin definir
cxload.c:(.text+0x1ce5): referencia a `usb_find_busses' sin definir
cxload.c:(.text+0x1cf2): referencia a `usb_find_devices' sin definir
cxload.c:(.text+0x1cff): referencia a `usb_busses' sin definir
cxload.c:(.text+0x1ddf): referencia a `usb_open' sin definir
cxload.c:(.text+0x1dfa): referencia a `usb_set_configuration' sin definir
cxload.c:(.text+0x1e10): referencia a `usb_claim_interface' sin definir
cxload.c:(.text+0x1e4a): referencia a `usb_release_interface' sin definir
cxload.c:(.text+0x1e52): referencia a `usb_close' sin definir
cxload.c:(.text+0x1f39): referencia a `usb_strerror' sin definir
cxload.c:(.text+0x1f58): referencia a `usb_strerror' sin definir
collect2: ld devolvió el estado de salida 1
make[1]: *** [cxload] Error 1
make[1]: Leaving directory `/home/asier/cxacru-630-new/init'
make: *** [CX_INIT] Error 2

En serio testoy deseperado he dicho ke consigo configurarle y me gustaria conseguirlo...pork solo no puedo me ha vencido...

Imagen de gabiel
+1
0
-1

El primer mensaje de error indica que no tienes lo necesario para compilar el módulo, en concreto las cabeceras de tu kernel; se encuentran en el paquete llamado linux-headers-"versión", asegurate de que la versión coincide con la del kernel que utilices.

Saludos.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de Anónimo
+1
0
-1

Pos mi kernel si ke es el 2.6.12-9-386,pero por lo que leo lo que falta es el directorio build,no?Se supone que en la carpeta donde se me debe instalar el speedtch(o ese)ya esta ese archivo y en los dispositivos me paarece adsl Usb modem zyxel,eso es que deberia estar instalado ya?Espero vuestra ayuda...

+1
0
-1
Imagen de gabiel
+1
0
-1

Lo que tienes que hacer es instalar las cabeceras del kernel (en tu caso mediante sudo apt-get install linux-headers-2.6.12-9-386), sin ellas no puedes compilar el controlador, cuando las instales vuelve a hacer el make y verás que ya no aparece ese error; después sigue las instrucciones correspondientes para finalizar la instalación.

Saludos.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de utopiko
+1
0
-1

POs ahora mismo lo voy a hacer...Jodr cuanto me keda por aprender todavia...pero lo de este modem no negareis que se las trae eh?

+1
0
-1
Imagen de iotxue
+1
0
-1

Hola pues si que se las tra el maldito modem.. yo cuando intento el make y el make install me dice que no existe el directorio built dentro de 2.6.8-2-386.
¿Has conseguido solucionarlo?
Encontre esto....
_____________________________________________________________________

Bueno esta es un howto para instalar el MODEM zyxel 630 c1 usb en debian sarge debido a que muchos an tenido grabes
problemas con este modem y me incluyo, soy novato y si no use los terminos adecuados zorry.
*Ten en cuenta que en la instalación de debian sarge en el boot:, tienes que poner linux26 para que te instale el kernel
2.6.8, por que si das enter te instalara el kernel 2.4 y ese no nos sirve tiene que ser superior a 2.6.7.
Ya empecemos con los paquetes que necesitamos están en descarga directa desde acá:

http://informatix.cl/frost/html/archiv/

linux-atm-2.4.0-qbik1.i386.rpm
linux-atm-devel-2.4.0-qbik1.i386.rpm
linux-atm-libs-2.4.0-qbik1.i386.rpm
libusb-0.1-4_0.1.10a-9.sarge.1_i386.deb
libusb-dev_0.1.10a-9.sarge.1_i386.deb
kernel-kbuild-2.6-3_2.6.8-2_i386.deb
modulo-630-c1.tar.gz
cxacru-630-new.tar.gz

debian sarge (obviamente)

headers de kernel. Vienen en el CD Nº 1 de debian sarge ( Los instalas con KPackage ).
Alien. Esta en el cd Nº1 de debian sarge lo instalas desde una consola de root ( o con KPackage como te acomode mas )
de la siguiente forma:
> apt-get install alien
Bueno ahora los paquetes que están en *.rpm en una consola de root escribes:
alien nombredelarchivo.rpm ( Los paquetes que ya están en formato *.deb dejalos tal cual, saltate este paso )
El programa alien sirve para trasformar los paquetes *.rpm en paquetes *.deb.
Después de haber cambiado de formato a todos los paquetes rpm a *.deb los instalas de la siguiente forma:
dpkg -i nombre del paquete.deb
Después de haber instalado los headers y todos los paquetes tienes que compilar el modulo del MODEM (
modulo-630-c1.tar.gz ), lo haces de la siguiente forma:
> tar xzf modulo-630-c1.tar.gz
> cd modulo-630-c1
> make //Aqui me casca a mi
> make install
Después tenemos que crear la carpeta "cxacru" en /etc/ para poder instalar cxacru lo hacemos de la siguiente forma:
> mkdir /etc/cxacru/
luego se meten a la carpeta en donde descomprimieron el cxacru y ejecutan
> make
y si kieren que se conecte al inicio ejecutan
> make add_service
si no les tira ningún error podrán proseguir, abran una consola y como root ejecuten este comando:
> rm lib/modules/2.6.8-2-386/extra/speedtch.ko
después:
cp /directorio-donde-esta-el-modulo/modulo-630-c1/speedtch.ko lib/modules/2.6.8-2-386/extra/speedtch.ko
para finalizar ejecutan
> /usr/sbin/cxstart.sh
y si no les funciona háganlo como root, acá deberían prender las 2 luces del MODEM si lo hiciste bien.
ahora busquen el programa ADSL/PPPOE configuration y siguen los pasos ponen su nombre de usuario y su password y
estarán conectados a Internet con su MODEM zyxel 630 c1 usb :D
Bueno eso fue lo que hice yo para instalar mi modem zyxel 630 c1 usb, se le agradece a AYN y monkeybass de foro.powers.cl

iotxue

+1
0
-1

iotxue

Imagen de utopiko
+1
0
-1

Yo no lo consegui y eso que di muchisimas vueltas y recibi mucha ayuda. Yo he optado por comprarme un router Linksys, y ahorrarme problemas!!!!pero aver si tienes mas suerte...por ahi estan todos mis posts con los cuales me han intentado ayudar con el maldito modem!!!!!

Evnga pos suerte

+1
0
-1
Imagen de lavaramano
+1
0
-1

es una lastima que hayas comprado el router
se supone que uno usa gnu/linux para solucionarse la vida(relativamente) o para aprender, no para comprar hardware nuevo porque no nos funciona.

es como si se te rompiera el control remoto y como no te queres para a cambiar de canal del televisor, compras un televisor nuevo. (un poco incoherente mi comparacion, pero bueno)

http://linux.org.ar/pipermail/lugna/2005-December/003895.html

en esa guia explican perfectamente como hacer funcionar al modem con kubuntu 5.10 (es lo mismo que ubuntu 5.10, total lo unico que cambia es el entorno de KDE a Gnome..)

yo lo probe y lo pude instalar sin problemas, aunque les sugiero que en la parte de compilar el kernel sigan esta guia:
http://www.ubuntu-es.org/node/431

que explica un poco mejor esta parte que es muy importante para que nuestro sistema funcione a la perfeccion y nuestro modem funcione tambien.

saludos

+1
0
-1
Imagen de Anónimo
+1
0
-1

Hola,

Hice una guía del zyxel, a mi tambien me costo hacerlo funcionar..
Click Aqui

Daniel

+1
0
-1
Imagen de Anónimo
+1
0
-1

Daniel, el link que posteas aparentemente no funciona...es para Dapper??

Alguien ha podido conectarse con este maldito modem??

Gracias

Sempai

+1
0
-1
Imagen de utopiko
+1
0
-1

Pos eso que probe a hacer lo que me dijiste gabriel y he aqui el resultado:

asier@ubuntu:~$ sudo apt-get install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).
asier@ubuntu:~$ sudo apt-get -f install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).

+1
0
-1
Imagen de utopiko
+1
0
-1

Pos eso que probe a hacer lo que me dijiste gabriel y he aqui el resultado:

asier@ubuntu:~$ sudo apt-get install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).
asier@ubuntu:~$ sudo apt-get -f install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).

+1
0
-1
Imagen de utopiko
+1
0
-1

Pos eso que probe a hacer lo que me dijiste gabriel y he aqui el resultado:

asier@ubuntu:~$ sudo apt-get install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).
asier@ubuntu:~$ sudo apt-get -f install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).

+1
0
-1
Imagen de utopiko
+1
0
-1

Pos eso que probe a hacer lo que me dijiste gabriel y he aqui el resultado:

asier@ubuntu:~$ sudo apt-get install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).
asier@ubuntu:~$ sudo apt-get -f install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).

+1
0
-1
Imagen de utopiko
+1
0
-1

Pos eso que probe a hacer lo que me dijiste gabriel y he aqui el resultado:

asier@ubuntu:~$ sudo apt-get install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).
asier@ubuntu:~$ sudo apt-get -f install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).

+1
0
-1
Imagen de utopiko
+1
0
-1

Pos eso que probe a hacer lo que me dijiste gabriel y he aqui el resultado:

asier@ubuntu:~$ sudo apt-get install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).
asier@ubuntu:~$ sudo apt-get -f install linux-headers-2.6.12-9-386
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Tal vez quiera ejecutar `apt-get -f install' para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
libusb-dev: Depende: libusb-0.1-4 (= 1:0.1.8-17ubuntu2) pero 2:0.1.10a-17ubuntu1 va a ser instalado
linux-headers-2.6.12-9-386: Depende: linux-headers-2.6.12-9 pero no va a instalarse
E: Dependencias incumplidas. Intente 'apt-get -f install' sin paquetes (o especifique una solución).

+1
0
-1
Imagen de gabiel
+1
0
-1

Eso es debido a un problema con los paquetes que tienes instalados, ¿has utilizado o utilizas algún repositorio de la versión inestable?

En principo si no se soluciona con sudo apt-get -f install (sín especificar ningún paquete, vamos que el apt-get -f install linux-headers que has hecho no sirve) tendrás que investigar un poco más para saber que paquetes son los que causan problemas.

Saludos.

PD: Disculpa la tardanza pero he estado bastante ocupado.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de utopiko
+1
0
-1

Pos mi kernel si ke es el 2.6.12-9-386,pero por lo que leo lo que falta es el directorio build,no?Se supone que en la carpeta donde se me debe instalar el speedtch(o ese)ya esta ese archivo y en los dispositivos me paarece adsl Usb modem zyxel,eso es que deberia estar instalado ya?Espero vuestra ayuda...

+1
0
-1
Imagen de Anónimo
+1
0
-1

al seguir la guia, me encuentro con que debo aplicar el comando "make" y "make install". Por lo que he podido ver en ubuntu 5.1, tales commandos no existen...¿habra otro comando que si me pueda ayudar?
gracias

+1
0
-1
Imagen de gabiel
+1
0
-1

Has de instalar make previamente, puedes instalar el paquete build-essential para instalar en un solo paso todas las herramientas básicas necesarias para compilar.

Saludos.

--------
Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Para ver algo más interesante, haz clic aquí.
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de Anónimo
+1
0
-1

y como puedo instalar ese paquete, "build-essential" que me nombras??, con algun comando en la terminal???

+1
0
-1
Imagen de gabiel
+1
0
-1

Puedes encontrar información sobre como instalar paquetes en la guía de Ubuntu, puedes hacerlo tanto desde el terminal como de forma gráfica.

Saludos.

--------
Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Para ver algo más interesante, haz clic aquí.
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de Anónimo
+1
0
-1

Gracias, ya lo hice y no tuve dramas. Estoy cada vez mas cerca de la configuracion del modem!!!

+1
0
-1